commit:     4d67fab78b34ba84d34ca2e32bd1b0680112d9ea
Author:     John Helmert III <ajak <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 17 18:26:44 2024 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Sat Feb 17 18:26:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d67fab7

net-p2p/arti: sync live

Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 net-p2p/arti/arti-9999.ebuild | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/net-p2p/arti/arti-9999.ebuild b/net-p2p/arti/arti-9999.ebuild
index 29269538103c..8a5e2a599e77 100644
--- a/net-p2p/arti/arti-9999.ebuild
+++ b/net-p2p/arti/arti-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -23,9 +23,10 @@ else
 fi
 
 LICENSE="MIT Apache-2.0"
+# Dependent crate licenses
 LICENSE+="
-       Apache-2.0 BSD CC0-1.0 ISC MIT MPL-2.0 Unicode-DFS-2016 Unlicense
-       ZLIB
+       Apache-2.0 BSD Boost-1.0 CC0-1.0 ISC MIT MPL-2.0 Unicode-DFS-2016
+       Unlicense ZLIB
 "
 SLOT="0"
 
@@ -47,14 +48,14 @@ src_unpack() {
 
 src_compile() {
        for crate in crates/*; do
-               pushd crates/arti || die
+               pushd "${crate}" || die
                cargo_src_compile
                popd >/dev/null || die
        done
 }
 
 src_install() {
-       pushd crates/arti >/dev/null || due
+       pushd crates/arti >/dev/null || die
 
        cargo_src_install
        newdoc src/arti-example-config.toml arti.toml

Reply via email to